# Uses of Interface
org.eclipse.core.filesystem.IFileStore

Packages that use IFileStore
Package
Description
org.eclipse.core.filebuffers
Provides the API for accessing file buffers.
org.eclipse.core.filesystem
Provides an interface for interacting with a file system.
org.eclipse.core.filesystem.provider
Provides an API to be extended by a file system implementation.
org.eclipse.team.core.history
Application programming interfaces for describing the history associated with files.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.ide
APIs for the IDE-specific portion of the Eclipse Platform User Interface.

## Uses of IFileStore in org.eclipse.core.filebuffers

Methods in org.eclipse.core.filebuffers that return IFileStore
Modifier and Type
Method
Description
`IFileStore`
IFileBuffer.`getFileStore()`
Returns the file store of this file buffer.
`static IFileStore`
FileBuffers.`getFileStoreAtLocation(IPath location)`
Returns the file in the local file system for the given location.
Methods in org.eclipse.core.filebuffers with parameters of type IFileStore
Modifier and Type
Method
Description
`void`
IFileBufferManager.`connectFileStore(IFileStore fileStore, IProgressMonitor monitor)`
Connects the given file store to this manager.
`void`
IFileBufferManager.`disconnectFileStore(IFileStore fileStore, IProgressMonitor monitor)`
Disconnects the given file store from this manager.
`IFileBuffer`
IFileBufferManager.`getFileStoreFileBuffer(IFileStore fileStore)`
Returns the file buffer managed for the given file store or `null` if there is no such file buffer.
`ITextFileBuffer`
ITextFileBufferManager.`getFileStoreTextFileBuffer(IFileStore fileStore)`
Returns the text file buffer managed for the given file store or `null` if there is no such text file buffer.

## Uses of IFileStore in org.eclipse.core.filesystem

Methods in org.eclipse.core.filesystem that return IFileStore
Modifier and Type
Method
Description
`IFileStore[]`
IFileStore.`childStores(int options, IProgressMonitor monitor)`
Returns an `IFileStore` instance for each file and directory contained within this store.
`IFileStore`
IFileSystem.`fromLocalFile(File file)`
Returns the file store in this file system corresponding to the given local file.
`IFileStore`
IFileStore.`getChild(String name)`
Returns a child store with the provided name whose parent is this store.
`IFileStore`
IFileStore.`getChild(IPath path)`
Deprecated.
use `getFileStore(IPath)` instead
`IFileStore[]`
IFileTree.`getChildStores(IFileStore store)`
Returns an `IFileStore` instance for each file and directory contained within the given store at the time this file tree was created.
`IFileStore`
IFileStore.`getFileStore(IPath path)`
Returns a handle to the member store identified by the given path.
`IFileStore`
IFileStore.`getParent()`
Returns the parent of this store.
`static IFileStore`
EFS.`getStore(URI uri)`
Returns the file store corresponding to the provided URI.
`IFileStore`
IFileSystem.`getStore(URI uri)`
Returns a handle to a file store in this file system.
`IFileStore`
IFileSystem.`getStore(IPath path)`
Returns a handle to a file store in this file system.
`IFileStore`
IFileTree.`getTreeRoot()`
Returns the root of this tree
`IFileStore`
IFileStore.`mkdir(int options, IProgressMonitor monitor)`
Creates a directory, and optionally its parent directories.
Methods in org.eclipse.core.filesystem with parameters of type IFileStore
Modifier and Type
Method
Description
`default int`
IFileStore.`compareTo(IFileStore other)`
Compares this store to other store of same FileSystem.
`void`
IFileStore.`copy(IFileStore destination, int options, IProgressMonitor monitor)`
Copies the file represented by this store to the provided destination store.
`IFileTree`
IFileSystem.`fetchFileTree(IFileStore root, IProgressMonitor monitor)`
Returns a file tree containing information about the complete sub-tree rooted at the given store.
`IFileInfo[]`
IFileTree.`getChildInfos(IFileStore store)`
Returns an `IFileInfo` instance for each file and directory contained within the given store at the time this file tree was created.
`IFileStore[]`
IFileTree.`getChildStores(IFileStore store)`
Returns an `IFileStore` instance for each file and directory contained within the given store at the time this file tree was created.
`IFileInfo`
IFileTree.`getFileInfo(IFileStore store)`
Returns information about this file at the time this file tree was created.
`boolean`
IFileStore.`isParentOf(IFileStore other)`
Returns whether this store is a parent of the provided store.
`void`
IFileStore.`move(IFileStore destination, int options, IProgressMonitor monitor)`
Moves the file represented by this store to the provided destination store.

## Uses of IFileStore in org.eclipse.core.filesystem.provider

Classes in org.eclipse.core.filesystem.provider that implement IFileStore
Modifier and Type
Class
Description
`class`
`FileStore`
The abstract superclass of all `IFileStore` implementations.
Fields in org.eclipse.core.filesystem.provider declared as IFileStore
Modifier and Type
Field
Description
`protected IFileStore`
FileTree.`treeRoot`
The root of the file tree
Methods in org.eclipse.core.filesystem.provider that return IFileStore
Modifier and Type
Method
Description
`IFileStore[]`
FileStore.`childStores(int options, IProgressMonitor monitor)`
The default implementation of `childStores(int, IProgressMonitor)`.
`IFileStore`
FileSystem.`fromLocalFile(File file)`
Returns the file store in this file system corresponding to the given local file.
`abstract IFileStore`
FileStore.`getChild(String name)`
`IFileStore`
FileStore.`getChild(IPath path)`
Deprecated.
use `FileStore.getFileStore(IPath)` instead
`abstract IFileStore[]`
FileTree.`getChildStores(IFileStore store)`
`IFileStore`
FileStore.`getFileStore(IPath path)`
The default implementation of `getFileStore(IPath)` Subclasses may override.
`abstract IFileStore`
FileStore.`getParent()`
`abstract IFileStore`
FileSystem.`getStore(URI uri)`
Subclasses must implement this method to satisfy the contract of `IFileSystem.getStore(URI)`.
`IFileStore`
FileSystem.`getStore(IPath path)`
This is the default implementation of `IFileSystem.getStore(IPath)`.
`IFileStore`
FileTree.`getTreeRoot()`
`IFileStore`
FileStore.`mkdir(int options, IProgressMonitor monitor)`
The default implementation of `mkdir(int, IProgressMonitor)`.
Methods in org.eclipse.core.filesystem.provider with parameters of type IFileStore
Modifier and Type
Method
Description
`void`
FileStore.`copy(IFileStore destination, int options, IProgressMonitor monitor)`
The default implementation of `copy(IFileStore, int, IProgressMonitor)`.
`protected void`
FileStore.`copyDirectory(IFileInfo sourceInfo, IFileStore destination, int options, IProgressMonitor monitor)`
Recursively copies a directory as specified by `copy(IFileStore, int, IProgressMonitor)`.
`protected void`
FileStore.`copyFile(IFileInfo sourceInfo, IFileStore destination, int options, IProgressMonitor monitor)`
Copies a file as specified by `copy(IFileStore, int, IProgressMonitor)`.
`IFileTree`
FileSystem.`fetchFileTree(IFileStore root, IProgressMonitor monitor)`
Returns a file tree containing information about the complete sub-tree rooted at the given store.
`abstract IFileInfo[]`
FileTree.`getChildInfos(IFileStore store)`
`abstract IFileStore[]`
FileTree.`getChildStores(IFileStore store)`
`abstract IFileInfo`
FileTree.`getFileInfo(IFileStore store)`
`boolean`
FileStore.`isParentOf(IFileStore other)`
The default implementation of `isParentOf(IFileStore)`.
`void`
FileStore.`move(IFileStore destination, int options, IProgressMonitor monitor)`
The default implementation of `move(IFileStore, int, IProgressMonitor)`.
Constructors in org.eclipse.core.filesystem.provider with parameters of type IFileStore
Modifier
Constructor
Description
``
`FileTree(IFileStore treeRoot)`
Creates a new file tree with tree root as the root

## Uses of IFileStore in org.eclipse.team.core.history

Methods in org.eclipse.team.core.history with parameters of type IFileStore
Modifier and Type
Method
Description
`IFileHistory`
IFileHistoryProvider.`getFileHistoryFor(IFileStore store, int flags, IProgressMonitor monitor)`
Returns an `IFileHistory` for the specified `IFileStore`.

## Uses of IFileStore in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return IFileStore
Modifier and Type
Method
Description
`protected IFileStore`
TextFileDocumentProvider.`getFileStore(TextFileDocumentProvider.FileInfo info)`
Returns the file store denoted by the given info.

## Uses of IFileStore in org.eclipse.ui.ide

Methods in org.eclipse.ui.ide with parameters of type IFileStore
Modifier and Type
Method
Description
`static IEditorDescriptor`
IDE.`getEditorDescriptorForFileStore(IFileStore fileStore, boolean allowInteractive)`
Returns an editor descriptor appropriate for opening the given file store.
`static IEditorPart`
IDE.`openEditorOnFileStore(IWorkbenchPage page, IFileStore fileStore)`
Opens an editor on the given IFileStore object.
`static IEditorPart`
IDE.`openInternalEditorOnFileStore(IWorkbenchPage page, IFileStore fileStore)`
Opens an internal editor on the given IFileStore object.
Constructors in org.eclipse.ui.ide with parameters of type IFileStore
Modifier
Constructor
Description
``
`FileStoreEditorInput(IFileStore fileStore)`